Retivo

Billing

Subscription and plan management via Stripe

Create checkout session

POST
/api/billing/checkout

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://retivo.ai/api/billing/checkout" \  -H "Content-Type: application/json" \  -d '{    "plan": "growth"  }'
{
  "url": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}

Create portal session

GET
/api/billing/portal

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://retivo.ai/api/billing/portal"
{
  "url": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}